On Fri, Mar 30, 2012 at 9:02 AM, Jouni Karvo <jouni.ka...@iki.fi> wrote:
> it seems xine-plugin 0.9.4 does not compile with vdr 1.7.27.

I'm not sure if Rnissl has done a proper fix yet but in the meantime
you can try:

diff -pruN xine-0.9.4-orig/Makefile xine-0.9.4/Makefile
--- xine-0.9.4-orig/Makefile    2012-03-30 09:54:28.000000000 -0700
+++ xine-0.9.4/Makefile 2012-03-30 09:55:25.000000000 -0700
@@ -97,7 +97,7 @@ OBJS = $(PLUGIN).o xineDevice.o xineLib.

 ### The main target:

-all: libvdr-$(PLUGIN).so i18n xineplayer
+all: libvdr-$(PLUGIN).so xineplayer

 ### Implicit rules:

diff -pruN xine-0.9.4-orig/xine.c xine-0.9.4/xine.c
--- xine-0.9.4-orig/xine.c      2012-03-30 09:54:28.000000000 -0700
+++ xine-0.9.4/xine.c   2012-03-30 09:55:01.000000000 -0700
@@ -13,7 +13,6 @@
 #include "xineDevice.h"
 #include "xineSettings.h"
 #include "xineSetupPage.h"
-#include "xineI18n.h"



@@ -208,9 +207,6 @@ bool cPluginXine::ProcessArgs(int argc,

 bool cPluginXine::Initialize(void)
 {
-#if APIVERSNUM < 10507
-  RegisterI18n(PluginXine::Phrases);
-#endif

   // Initialize any background activities the plugin shall perform.
   m_remote = new PluginXine::cXineRemote(m_remoteOn);

_______________________________________________
vdr mailing list
vdr@linuxtv.org
http://www.linuxtv.org/cgi-bin/mailman/listinfo/vdr

Reply via email to